module CKickProblemsVariables
    use CProblemDifinition
	implicit none    
	public 
    
    
    
    ! Input vars
    type :: KickProblemsType
        type(CProblem) :: Kick
        integer :: FluidType
        integer :: FlowRate
        integer :: OverBalancePressure
        logical :: IsAutoMigrationRateSelected
        real(8) :: AutoMigrationRate
    end type KickProblemsType
    
end module CKickProblemsVariables